Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.spring
Class TapestrySpringFilter

    java.lang.Object
      org.apache.tapestry5.TapestryFilter
          org.apache.tapestry5.spring.TapestrySpringFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class TapestrySpringFilter

extends TapestryFilter

Add logic to setup for Spring integration at startup. In 5.1, this means creating a Spring ApplicationContext, and wiring parts of it to resolve Tapestry objects. In compatibility mode, this means locating the externally configuration context and exposing each bean in it as a Tapestry IoC service.

Field Summary

Fields inherited from class org.apache.tapestry5.TapestryFilter
`REGISTRY_CONTEXT_NAME`

Constructor Summary
`TapestrySpringFilter()`

Method Summary
`protected ModuleDef[]` | `provideExtraModuleDefs(javax.servlet.ServletContext context)` Overridden in subclasses to provide additional module definitions beyond those normally located.

Methods inherited from class org.apache.tapestry5.TapestryFilter
`destroy, destroy, doFilter, getFilterConfig, init, init, provideExtraModuleClasses`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapestrySpringFilter

    public TapestrySpringFilter()

Method Detail

### provideExtraModuleDefs

    protected ModuleDef[] provideExtraModuleDefs(javax.servlet.ServletContext context)

  Description copied from class: `TapestryFilter`
  Overridden in subclasses to provide additional module definitions beyond those normally located. This implementation returns an empty array.

  Overrides:
    `provideExtraModuleDefs` in class `TapestryFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.